UWUFETCH(1)

DESCRIPTION
UwUfetch is a program inspired by neofetch and ufetch, that takes system information and prints it in terminal in an UwU way, with either UwU ascii or image logo.

SYNOPSYS
uwufetch [OPTIONS] [ARGUMENTS]

OPTIONS

-a --ascii
    prints the logo as ascii text (default)

-c --config
    you can change config path

-d --distro
    lets you choose the logo to print based on the distribution name

-h --help
    prints the help page

-i --image
    prints image instead of ascii logo uses a custom image if one is provided (disabled on iOS) works in most terminals, read README.md for more info

-l --list
    prints a list of all supported distributions

-v --version
    prints the current uwufetch version

-w --write-cache writes to the cache file (~/.cache/uwufetch.cache)
    prints the current uwufetch version

CONFIGURATION
The system-wide config file is /etc/uwufetch/config, and you can use it to configure uwufetch globally or as a template for your own config. The user config file is located in $HOME/.config/uwufetch/config (you need to create it), but you can change the path by using the --config option.

EXAMPLE
distro=arch
    image=~/Pictures/picture.png
    ascii=true
    user=true
    os=true
    host=true
    kernel=true
    cpu=true
    gpu=0
    gpu=3
    gpu=1
    ram=true
    resolution=true
    shell=true
    pkgs=true
    uptime=true
    colors=true

SUPPORTED DISTRIBUTIONS
Distribution name -d option

FULLY SUPPORTED
Nyalpine            alpine
    Nyarch Linuwu       arch
    ArcOwO Linuwu       arcolinux
    Nyartix Linuwu      artix
    Debinyan            debian
    endeavOwO           endeavour
    Fedowa              fedora
    GentOwO             gentoo
    GnUwU gUwUix        guix
    Miwint              linuxmint
    Myanjawo            manjaro
    Myanjawo AWM        manjaro-arm
    OwOpenSUSE          opensuse-leap
    Pop OwOs            pop
    RaspNyan            raspbian
    Swackwawe           slackware
    sOwOlus             solus
    UwUntu              ubuntu
    OwOid               void
    Nyandroid           android
    Unknown (tux logo)  unknown

IMAGE OR ASCII ONLY
AmogOwOs      amogos
    KDE NeOwOn    neon
    nixOwOs       nixos
    xuwulinux     xerolinux
    FweeBSD       freebsd
    OwOpenBSD     openbsd
    macOwOS       macos
    iOwOS         ios
    WinyandOwOws  windows

EXAMPLES
    uwufetch -d arch                  # uses ascii Arch logo
    uwufetch -i some_image.png  # prints custom image (no full path is needed)
    uwufetch -id artix              # uses Artix image logo (which is also uwu)

DEPENDENCIES

lshw
    better gpu info

viu print images instead of ascii logo

kitty
    better image viewing

All of these dependencies are optional. There are no required dependencies.

LICENSE AND COPYRIGHT
uwufetch is provided under the GPL3 license, for copyright info read https://github.com/TheDarkBug/uwufetch/tree/main/res/COPYRIGHT.md.